This endpoint creates an order that is used to initiate the Afterpay payment process. Afterpay uses the information in the order request to assist with the consumer’s pre-approval process.
Warning: The API Simulator includes form elements for both required and optional Body Params. If not populated with values, Readme will send empty strings to the Afterpay Online API. Any optional parameter that is validated against a Model will need to have all of its required sub-params populated with non-empty values. Therefore, to avoid receiving unexpected “400” responses from Afterpay, please fill out all fields of the simulation form with valid values. This is particularly important for the amount and currency sub-params of the totalAmount, taxAmount and shippingAmount params.
Note: It is not possible to update the order information (including totalAmount) after the order token is generated. If the consumer’s cart changes on the merchant side after a token is generated, please discard this token. Use the current order information to generate a new order token. Use the new token to send the consumer through the Afterpay screenflow before attempting to Capture Payment.
Basic authentication of the form Basic <base64(username:password)>.
Use api-sandbox for AU/NZ, or api.us-sandbox for US.
The merchant’s id/reference that this order corresponds to.
Returns a token and expiry date/time if successful.